---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1D00, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50890, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x527D0, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52BC0, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B60, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53B70, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xE568, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBD8, offset: 0xBD8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50500, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xBE3, offset: 0xBE3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50504, symBinAddr: 0x70B4, symSize: 0x0 }
  - { offsetInCU: 0xBEE, offset: 0xBEE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50508, symBinAddr: 0x70B8, symSize: 0x0 }
  - { offsetInCU: 0xC33, offset: 0xC33, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50650, symBinAddr: 0x70C0, symSize: 0x0 }
  - { offsetInCU: 0xCAC, offset: 0xCAC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50708, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5070C, symBinAddr: 0x717C, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50710, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50714, symBinAddr: 0x7184, symSize: 0x0 }
  - { offsetInCU: 0xD15, offset: 0xD15, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50718, symBinAddr: 0x7188, symSize: 0x0 }
  - { offsetInCU: 0x9304, offset: 0x9304, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50720, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x938D, offset: 0x938D, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50730, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93A6, offset: 0x93A6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50738, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93BF, offset: 0x93BF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50740, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93D8, offset: 0x93D8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50748, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x93F1, offset: 0x93F1, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50750, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50758, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x94F1, offset: 0x94F1, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x507A0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL26ClassFileLoadHookEventFlag, symObjAddr: 0x507DC, symBinAddr: 0x71DC, symSize: 0x0 }
  - { offsetInCU: 0x952A, offset: 0x952A, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x507E8, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x9543, offset: 0x9543, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x507F0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x955C, offset: 0x955C, size: 0x8, addend: 0x0, symName: __ZL10magicIndex, symObjAddr: 0x507F8, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x9575, offset: 0x9575, size: 0x8, addend: 0x0, symName: __ZL11testedClass, symObjAddr: 0x507E0, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x95D7, offset: 0x95D7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x980, symSize: 0x80 }
  - { offsetInCU: 0x966C, offset: 0x966C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x8D0, symSize: 0xB0 }
  - { offsetInCU: 0x96C7, offset: 0x96C7, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x7D0, symSize: 0x100 }
  - { offsetInCU: 0x995A, offset: 0x995A, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xA00, symSize: 0xC0 }
  - { offsetInCU: 0x99AC, offset: 0x99AC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xAC0, symSize: 0x220 }
  - { offsetInCU: 0x9B91, offset: 0x9B91, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xCE0, symSize: 0xA0 }
  - { offsetInCU: 0x9C44, offset: 0x9C44, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xD80, symSize: 0x110 }
  - { offsetInCU: 0x9D3A, offset: 0x9D3A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xE90, symSize: 0x150 }
  - { offsetInCU: 0x9E97, offset: 0x9E97, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xFE0, symSize: 0x30 }
  - { offsetInCU: 0x9F78, offset: 0x9F78, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1010, symSize: 0x150 }
  - { offsetInCU: 0xA170, offset: 0xA170, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1160, symSize: 0x160 }
  - { offsetInCU: 0xA430, offset: 0xA430, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x12C0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6A3, offset: 0xA6A3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1760, symSize: 0x1B0 }
  - { offsetInCU: 0xA8BE, offset: 0xA8BE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1910, symSize: 0xA0 }
  - { offsetInCU: 0xA9E5, offset: 0xA9E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x19B0, symSize: 0x20 }
  - { offsetInCU: 0xAA1C, offset: 0xAA1C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x19D0, symSize: 0x20 }
  - { offsetInCU: 0xAA53, offset: 0xAA53, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x19F0, symSize: 0x20 }
  - { offsetInCU: 0xAC26, offset: 0xAC26, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1A10, symSize: 0x1A0 }
  - { offsetInCU: 0xAF42, offset: 0xAF42, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1BB0, symSize: 0x150 }
  - { offsetInCU: 0xB0FF, offset: 0xB0FF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x1FA0, symSize: 0x1D0 }
  - { offsetInCU: 0xB3FB, offset: 0xB3FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2170, symSize: 0x80 }
  - { offsetInCU: 0xB4C4, offset: 0xB4C4, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x21F0, symSize: 0x6C0 }
  - { offsetInCU: 0xC03A, offset: 0xC03A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA710, symBinAddr: 0x3F00, symSize: 0xB0 }
  - { offsetInCU: 0xC0B1, offset: 0xC0B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x28B0, symSize: 0x70 }
  - { offsetInCU: 0xC1A5, offset: 0xC1A5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2920, symSize: 0xA0 }
  - { offsetInCU: 0xC2B0, offset: 0xC2B0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x5320, symBinAddr: 0x29C0, symSize: 0x210 }
  - { offsetInCU: 0xC50A, offset: 0xC50A, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5530, symBinAddr: 0x2BD0, symSize: 0x330 }
  - { offsetInCU: 0xC9B1, offset: 0xC9B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2F00, symSize: 0x40 }
  - { offsetInCU: 0xCAA7, offset: 0xCAA7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2F40, symSize: 0x2B0 }
  - { offsetInCU: 0xCE4D, offset: 0xCE4D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x31F0, symSize: 0xC0 }
  - { offsetInCU: 0xCF93, offset: 0xCF93, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x32B0, symSize: 0x10 }
  - { offsetInCU: 0xD055, offset: 0xD055, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x32C0, symSize: 0x240 }
  - { offsetInCU: 0xD33E, offset: 0xD33E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3500, symSize: 0x10 }
  - { offsetInCU: 0xD39B, offset: 0xD39B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3510, symSize: 0x2F0 }
  - { offsetInCU: 0xD728, offset: 0xD728, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA010, symBinAddr: 0x3800, symSize: 0x10 }
  - { offsetInCU: 0xD7DF, offset: 0xD7DF, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA020, symBinAddr: 0x3810, symSize: 0x560 }
  - { offsetInCU: 0xDD92, offset: 0xDD92, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA580, symBinAddr: 0x3D70, symSize: 0x190 }
  - { offsetInCU: 0xDF02, offset: 0xDF02, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA7C0, symBinAddr: 0x3FB0, symSize: 0x36A }
...
